- name: Timeout
  description: Operation timed out.
- name: InternalFailure
  description: The operation failed internally.
- name: InvalidArgument
  description: Invalid argument was given.
- name: InsufficientPermission
  description: Insufficient permission to perform operation
- name: NotAllowed
  description: The operation is not allowed
- name: NoCACertificate
  description: Server's CA certificate has not been provided.
- name: TooManyResources
  description: Too many resources have already been granted.
- name: ResourceNotFound
  description: The resource is not found.
- name: Unavailable
  description: The service is temporarily unavailable.
- name: UnsupportedRequest
  description: The request is unsupported.
